% Most recent survey that has a good amount of detail
@article{mainsurvey,
title={Linking Points With Labels in 3D: A Review of
Point Cloud Semantic Segmentation},
author={Xie, Yuxing and Tian, Jiaojiao and Zhu, Xiao
Xiang},
journal={IEEE Geoscience and Remote Sensing Magazine},
year={2020},
publisher={IEEE},
doi={10.1109/MGRS.2019.2937630}
}

% Lackluster survey from 2013 that is somehow cited a lot
@inproceedings{nguyen20133d,
  title={3D point cloud segmentation: A survey},
  author={Nguyen, Anh and Le, Bac},
  booktitle={2013 6th IEEE conference on robotics, automation and mechatronics (RAM)},
  pages={225--230},
  year={2013},
  organization={IEEE}
}

% Survey with a lot more background info about MLS and such
@Article{s19040810,
AUTHOR = {Che, Erzhuo and Jung, Jaehoon and Olsen, Michael J.},
TITLE = {Object Recognition, Segmentation, and Classification of Mobile Laser Scanning Point Clouds: A State of the Art Review},
JOURNAL = {Sensors},
VOLUME = {19},
YEAR = {2019},
NUMBER = {4},
ARTICLE-NUMBER = {810},
URL = {https://www.mdpi.com/1424-8220/19/4/810},
ISSN = {1424-8220},
DOI = {10.3390/s19040810}
}

% Primitives survey
@article{xia2020geometric,
  title={Geometric primitives in LiDAR point clouds: A review},
  author={Xia, Shaobo and Chen, Dong and Wang, Ruisheng and Li, Jonathan and Zhang, Xinchang},
  journal={IEEE Journal of Selected Topics in Applied Earth Observations and Remote Sensing},
  volume={13},
  pages={685--707},
  year={2020},
  publisher={IEEE}
}

% Survey on edge detection in images
@article{lakshmi2010study,
  title={A study of edge detection techniques for segmentation computing approaches},
  author={Lakshmi, S and Sankaranarayanan, Dr V and others},
  journal={IJCA Special Issue on “Computer Aided Soft Computing Techniques for Imaging and Biomedical Applications” CASCT},
  pages={35--40},
  year={2010},
  publisher={Citeseer}
}

% Earliest edge-based segmentation i could find
@article{fan1987segmented,
  title={Segmented descriptions of 3-D surfaces},
  author={Fan, Ting-Jun and Medioni, Gerard and Nevatia, Ramakant},
  journal={IEEE Journal on Robotics and Automation},
  volume={3},
  number={6},
  pages={527--538},
  year={1987},
  publisher={IEEE}
}

% Newest edge-based segmentation out there
@inproceedings{sappa2001fast,
  title={Fast range image segmentation by an edge detection strategy},
  author={Sappa, Angel Domingo and Devy, Michel},
  booktitle={Proceedings Third International Conference on 3-D Digital Imaging and Modeling},
  pages={292--299},
  year={2001},
  organization={IEEE}
}

% Earliest region growing I could find
@article{hahnel2003learning,
  title={Learning compact 3D models of indoor and outdoor environments with a mobile robot},
  author={H{\"a}hnel, Dirk and Burgard, Wolfram and Thrun, Sebastian},
  journal={Robotics and Autonomous Systems},
  volume={44},
  number={1},
  pages={15--27},
  year={2003},
  publisher={Elsevier}
}

% Faster region growing
@inproceedings{poppinga2008fast,
  title={Fast plane detection and polygonalization in noisy 3D range images},
  author={Poppinga, Jann and Vaskevicius, Narunas and Birk, Andreas and Pathak, Kaustubh},
  booktitle={2008 IEEE/RSJ International Conference on Intelligent Robots and Systems},
  pages={3378--3383},
  year={2008},
  organization={IEEE}
}

% Modern region growing
@article{vo2015octree,
  title={Octree-based region growing for point cloud segmentation},
  author={Vo, Anh-Vu and Truong-Hong, Linh and Laefer, Debra F and Bertolotto, Michela},
  journal={ISPRS Journal of Photogrammetry and Remote Sensing},
  volume={104},
  pages={88--100},
  year={2015},
  publisher={Elsevier}
}

% First general RANSAC point clouds
@inproceedings{schnabel2007efficient,
  title={Efficient RANSAC for point-cloud shape detection},
  author={Schnabel, Ruwen and Wahl, Roland and Klein, Reinhard},
  booktitle={Computer graphics forum},
  volume={26},
  number={2},
  pages={214--226},
  year={2007},
  organization={Wiley Online Library}
}

% New and improved RANSAC
@article{li2017improved,
  title={An improved RANSAC for 3D point cloud plane segmentation based on normal distribution transformation cells},
  author={Li, Lin and Yang, Fan and Zhu, Haihong and Li, Dalin and Li, You and Tang, Lei},
  journal={Remote Sensing},
  volume={9},
  number={5},
  pages={433},
  year={2017},
  publisher={Multidisciplinary Digital Publishing Institute}
}

% Newest RANSAC I could find quickly
@article{li2021point,
  title={Point cloud registration based on one-point ransac and scale-annealing biweight estimation},
  author={Li, Jiayuan and Hu, Qingwu and Ai, Mingyao},
  journal={IEEE Transactions on Geoscience and Remote Sensing},
  year={2021},
  publisher={IEEE}
}

% Earliest HT I could find
@article{rabbani2005efficient,
  title={Efficient hough transform for automatic detection of cylinders in point clouds},
  author={Rabbani, Tahir and Van Den Heuvel, Frank},
  journal={Isprs Wg Iii/3, Iii/4},
  volume={3},
  pages={60--65},
  year={2005}
}

% Newer HT
@article{borrmann20113d,
  title={The 3d hough transform for plane detection in point clouds: A review and a new accumulator design},
  author={Borrmann, Dorit and Elseberg, Jan and Lingemann, Kai and N{\"u}chter, Andreas},
  journal={3D Research},
  volume={2},
  number={2},
  pages={1--13},
  year={2011},
  publisher={Springer}
}

% K means clustering for pcs
@article{saglam2020clustering,
  title={Clustering-Based Plane Refitting of Non-planar Patches for Voxel-Based 3D Point Cloud Segmentation Using K-Means Clustering.},
  author={Saglam, Ali and Makineci, Hasan B and Baykan, {\"O}mer K and Baykan, Nurdan Akhan},
  journal={Traitement du Signal},
  volume={37},
  number={6},
  year={2020}
}

% General k means clustering
@article{hartigan1979algorithm,
  title={Algorithm AS 136: A k-means clustering algorithm},
  author={Hartigan, John A and Wong, Manchek A},
  journal={Journal of the royal statistical society. series c (applied statistics)},
  volume={28},
  number={1},
  pages={100--108},
  year={1979},
  publisher={JSTOR}
}

% Fuzzy clustering pcs
@article{biosca2008unsupervised,
  title={Unsupervised robust planar segmentation of terrestrial laser scanner point clouds based on fuzzy clustering methods},
  author={Biosca, Josep Miquel and Lerma, Jos{\'e} Luis},
  journal={ISPRS Journal of Photogrammetry and Remote Sensing},
  volume={63},
  number={1},
  pages={84--98},
  year={2008},
  publisher={Elsevier}
}

% PCS mean shift
@article{melzer2007non,
  title={Non-parametric segmentation of ALS point clouds using mean shift},
  author={Melzer, Thomas},
  year={2007},
  publisher={Walter de Gruyter}
}

% Well cited graph-based pcs
@inproceedings{strom2010graph,
  title={Graph-based segmentation for colored 3D laser point clouds},
  author={Strom, Johannes and Richardson, Andrew and Olson, Edwin},
  booktitle={2010 IEEE/RSJ international conference on intelligent robots and systems},
  pages={2131--2136},
  year={2010},
  organization={IEEE}
}

% Min-cut graph pcs
@article{ural2012min,
  title={Min-cut based segmentation of airborne lidar point clouds},
  author={Ural, Serkan and Shan, Jie},
  journal={International Archives of the Photogrammetry, Remote Sensing and Spatial Information Sciences},
  volume={39},
  pages={B3},
  year={2012}
}

% Pointnet
@inproceedings{qi2017pointnet,
  title={Pointnet: Deep learning on point sets for 3d classification and segmentation},
  author={Qi, Charles R and Su, Hao and Mo, Kaichun and Guibas, Leonidas J},
  booktitle={Proceedings of the IEEE conference on computer vision and pattern recognition},
  pages={652--660},
  year={2017}
}

%multiview pcss
@inproceedings{su2015multi,
  title={Multi-view convolutional neural networks for 3d shape recognition},
  author={Su, Hang and Maji, Subhransu and Kalogerakis, Evangelos and Learned-Miller, Erik},
  booktitle={Proceedings of the IEEE international conference on computer vision},
  pages={945--953},
  year={2015}
}

% voxelized pcss
@inproceedings{maturana2015voxnet,
  title={Voxnet: A 3d convolutional neural network for real-time object recognition},
  author={Maturana, Daniel and Scherer, Sebastian},
  booktitle={2015 IEEE/RSJ International Conference on Intelligent Robots and Systems (IROS)},
  pages={922--928},
  year={2015},
  organization={IEEE}
}

% Supervoxelization
@article{Lin2018Supervoxel,
	title = "Toward better boundary preserved supervoxel segmentation for 3D point clouds",
	journal = "ISPRS Journal of Photogrammetry and Remote Sensing",
	volume = "143",
	pages = "39 - 47",
	year = "2018",
	note = "ISPRS Journal of Photogrammetry and Remote Sensing Theme Issue “Point Cloud Processing”",
	issn = "0924-2716",
	doi = "https://doi.org/10.1016/j.isprsjprs.2018.05.004",
	url = "http://www.sciencedirect.com/science/article/pii/S0924271618301370",
	author = "Lin, Yangbin and Wang, Cheng and Zhai, Dawei and Li, Wei and Li, Jonathan",
	keywords = "Supervoxel segmentation, Point clouds, Subset selection, Over-segmentation"
}

@inproceedings{berger2017survey,
  title={A survey of surface reconstruction from point clouds},
  author={Berger, Matthew and Tagliasacchi, Andrea and Seversky, Lee M and Alliez, Pierre and Guennebaud, Gael and Levine, Joshua A and Sharf, Andrei and Silva, Claudio T},
  booktitle={Computer Graphics Forum},
  volume={36},
  number={1},
  pages={301--329},
  year={2017},
  organization={Wiley Online Library}
}

@inproceedings{aubry2011wave,
title={The wave kernel signature: A quantum mechanical approach to shape analysis},
author={Aubry, Mathieu and Schlickewei, Ulrich and Cremers, Daniel},
booktitle={2011 IEEE international conference on computer vision workshops (ICCV workshops)},
pages={1626--1633},
year={2011},
organization={IEEE}}


% Survey on point cloud image fusion
@article{cui2021deep,
  title={Deep learning for image and point cloud fusion in autonomous driving: A review},
  author={Cui, Yaodong and Chen, Ren and Chu, Wenbo and Chen, Long and Tian, Daxin and Li, Ying and Cao, Dongpu},
  journal={IEEE Transactions on Intelligent Transportation Systems},
  year={2021},
  publisher={IEEE}
}

% Label diffusion lidar segmentation
@article{Wang_2019,
   title={LDLS: 3-D Object Segmentation Through Label Diffusion From 2-D Images},
   volume={4},
   ISSN={2377-3774},
   url={http://dx.doi.org/10.1109/LRA.2019.2922582},
   DOI={10.1109/lra.2019.2922582},
   number={3},
   journal={IEEE Robotics and Automation Letters},
   publisher={Institute of Electrical and Electronics Engineers (IEEE)},
   author={Wang, Brian H. and Chao, Wei-Lun and Wang, Yan and Hariharan, Bharath and Weinberger, Kilian Q. and Campbell, Mark},
   year={2019},
   month={Jul},
   pages={2902–2909}
}

% Railsem19 from wilddash.cc
@INPROCEEDINGS{railsem,
  author={Zendel, Oliver and Murschitz, Markus and Zeilinger, Marcel and Steininger, Daniel and Abbasi, Sara and Beleznai, Csaba},
  booktitle={2019 IEEE/CVF Conference on Computer Vision and Pattern Recognition Workshops (CVPRW)}, 
  title={RailSem19: A Dataset for Semantic Rail Scene Understanding}, 
  year={2019},
  volume={},
  number={},
  pages={1221-1229},
  doi={10.1109/CVPRW.2019.00161}}
  
  % ImageNet citation
  @inproceedings{deng2009imagenet,
  title={Imagenet: A large-scale hierarchical image database},
  author={Deng, Jia and Dong, Wei and Socher, Richard and Li, Li-Jia and Li, Kai and Fei-Fei, Li},
  booktitle={2009 IEEE conference on computer vision and pattern recognition},
  pages={248--255},
  year={2009},
  organization={Ieee}
}

% MS COCO data
@misc{lin2015microsoft,
      title={Microsoft COCO: Common Objects in Context}, 
      author={Tsung-Yi Lin and Michael Maire and Serge Belongie and Lubomir Bourdev and Ross Girshick and James Hays and Pietro Perona and Deva Ramanan and C. Lawrence Zitnick and Piotr Dollár},
      year={2015},
      eprint={1405.0312},
      archivePrefix={arXiv},
      primaryClass={cs.CV}
}

% Google's Open Images data
@article{OpenImages,
  author = {Alina Kuznetsova and Hassan Rom and Neil Alldrin and Jasper Uijlings and Ivan Krasin and Jordi Pont-Tuset and Shahab Kamali and Stefan Popov and Matteo Malloci and Alexander Kolesnikov and Tom Duerig and Vittorio Ferrari},
  title = {The Open Images Dataset V4: Unified image classification, object detection, and visual relationship detection at scale},
  year = {2020},
  journal = {IJCV}
}

% Mask r cnn
@inproceedings{he2017mask,
  title={Mask r-cnn},
  author={He, Kaiming and Gkioxari, Georgia and Doll{\'a}r, Piotr and Girshick, Ross},
  booktitle={Proceedings of the IEEE international conference on computer vision},
  pages={2961--2969},
  year={2017}
}

% Detectron2 citation
@misc{wu2019detectron2,
  author =       {Yuxin Wu and Alexander Kirillov and Francisco Massa and
                  Wan-Yen Lo and Ross Girshick},
  title =        {Detectron2},
  howpublished = {\url{https://github.com/facebookresearch/detectron2}},
  year =         {2019}
}

% MMdetection
@article{mmdetection,
  title   = {{MMDetection}: Open MMLab Detection Toolbox and Benchmark},
  author  = {Chen, Kai and Wang, Jiaqi and Pang, Jiangmiao and Cao, Yuhang and
             Xiong, Yu and Li, Xiaoxiao and Sun, Shuyang and Feng, Wansen and
             Liu, Ziwei and Xu, Jiarui and Zhang, Zheng and Cheng, Dazhi and
             Zhu, Chenchen and Cheng, Tianheng and Zhao, Qijie and Li, Buyu and
             Lu, Xin and Zhu, Rui and Wu, Yue and Dai, Jifeng and Wang, Jingdong
             and Shi, Jianping and Ouyang, Wanli and Loy, Chen Change and Lin, Dahua},
  journal= {arXiv preprint arXiv:1906.07155},
  year={2019}
}

@inproceedings{Cordts2016Cityscapes,
title={The Cityscapes Dataset for Semantic Urban Scene Understanding},
author={Cordts, Marius and Omran, Mohamed and Ramos, Sebastian and Rehfeld, Timo and Enzweiler, Markus and Benenson, Rodrigo and Franke, Uwe and Roth, Stefan and Schiele, Bernt},
booktitle={Proc. of the IEEE Conference on Computer Vision and Pattern Recognition (CVPR)},
year={2016}
}

% IBM page on geospatial data, useful for a definition
 @misc{ibm_geospatial, title={What is geospatial data?}, 
 howpublished={\url{https://www.ibm.com/topics/geospatial-data}}, 
 author={IBM},
 year={2022},
 lastaccessed={April 5, 2022}} }
 
% RILA image
 @article{rila_image,
author = {Wang, Haoyu and Berkers, Jos and Hurk, Nick and Farsad Layegh, Nasir},
year = {2020},
month = {10},
pages = {},
title = {Study of loaded versus unloaded measurements in railway track inspection},
volume = {169},
journal = {Measurement},
doi = {10.1016/j.measurement.2020.108556}
}

% Image segmentation survey, specifically on deep learning methods
@article{minaee2021image,
  title={Image segmentation using deep learning: A survey},
  author={Minaee, Shervin and Boykov, Yuri Y and Porikli, Fatih and Plaza, Antonio J and Kehtarnavaz, Nasser and Terzopoulos, Demetri},
  journal={IEEE transactions on pattern analysis and machine intelligence},
  year={2021},
  publisher={IEEE}
}

% Opencv documentation
@article{opencv_library,
    author = {Bradski, G.},
    citeulike-article-id = {2236121},
    journal = {Dr. Dobb's Journal of Software Tools},
    keywords = {bibtex-import},
    posted-at = {2008-01-15 19:21:54},
    priority = {4},
    title = {{The OpenCV Library}},
    year = {2000}
}

% Computer vision book for the point cloud to image transformation
@book{szeliski2010computer,
  title={Computer vision: algorithms and applications},
  author={Szeliski, Richard},
  year={2010},
  publisher={Springer Science \& Business Media}
}

% Image segmentation types
@inproceedings{kirillov2019panoptic,
  title={Panoptic segmentation},
  author={Kirillov, Alexander and He, Kaiming and Girshick, Ross and Rother, Carsten and Doll{\'a}r, Piotr},
  booktitle={Proceedings of the IEEE/CVF Conference on Computer Vision and Pattern Recognition},
  pages={9404--9413},
  year={2019}
}

% ResNet article
@article{He2015,
	author = {Kaiming He and Xiangyu Zhang and Shaoqing Ren and Jian Sun},
	title = {Deep Residual Learning for Image Recognition},
	journal = {arXiv preprint arXiv:1512.03385},
	year = {2015}
}

% Open3D library
@article{Zhou2018,
   author  = {Qian-Yi Zhou and Jaesik Park and Vladlen Koltun},
   title   = {{Open3D}: {A} Modern Library for {3D} Data Processing},
   journal = {arXiv:1801.09847},
   year    = {2018},
}

% Poisson surface reconstruction
@inproceedings{kazhdan2006poisson,
  title={Poisson surface reconstruction},
  author={Kazhdan, Michael and Bolitho, Matthew and Hoppe, Hugues},
  booktitle={Proceedings of the fourth Eurographics symposium on Geometry processing},
  volume={7},
  year={2006}
}